"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class HpoTermModifiers(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2 import participant as participant_1_1_2

        return {
            "laterality": participant_1_1_2.Laterality,
            "progression": participant_1_1_2.Progression,
            "severity": participant_1_1_2.Severity,
            "spatialPattern": participant_1_1_2.SpatialPattern,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2 import participant as participant_1_1_2

        return {
            "org.gel.models.participant.avro.Laterality": participant_1_1_2.Laterality,
            "org.gel.models.participant.avro.Progression": participant_1_1_2.Progression,
            "org.gel.models.participant.avro.Severity": participant_1_1_2.Severity,
            "org.gel.models.participant.avro.SpatialPattern": participant_1_1_2.SpatialPattern,
            "org.gel.models.participant.avro.HpoTermModifiers": participant_1_1_2.HpoTermModifiers,
        }

    __slots__ = [
        "laterality",
        "progression",
        "severity",
        "spatialPattern",
    ]

    def __init__(
        self,
        laterality=None,
        progression=None,
        severity=None,
        spatialPattern=None,
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_1_2.HpoTermModifiers model.

        :param laterality:
        :type laterality: None | Laterality
        :param progression:
        :type progression: None | Progression
        :param severity:
        :type severity: None | Severity
        :param spatialPattern:
        :type spatialPattern: None | SpatialPattern
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.1.2"
